#ifndef MYX_REDIS_CLIENT_P_HPP_
#define MYX_REDIS_CLIENT_P_HPP_

#include <QObject>
#include <QQueue>
#include <QTcpSocket>

#include <client.hpp>
#include <reply.hpp>
#include <request.hpp>
#include <lexer.hpp>
#include <parser.hpp>

namespace myx {

namespace redis {

class ClientPrivate : public QObject
{
	Q_OBJECT

public:
	ClientPrivate( Client* );

	QTcpSocket         socket;
	QQueue< Request* > queue;

	Lexer  lexer;
	Parser parser;

private:
	Q_SLOT void sendReply(const myx::redis::Reply & );
}; // class ClientPrivate

}
}

#endif // MYX_REDIS_CLIENT_P_HPP_
